Index: main.py
===================================================================
--- main.py	(revision 01445ecc4506e14ea22389344bc7a26f9f4b8ab3)
+++ main.py	(revision 2fd1c0a0864f2e7a78c00398672c3eaff10e2c6c)
@@ -1444,35 +1512,39 @@
             logger.error('Epics Failed')
     except:
-        logger.error("Epics Failed")
-    
-    #"==================="
+        logger.error('Epics Failed')
+
+    # "==================="
     # connect Drone
+
     try:
-        droneServer=getDroneServer()
-        logger.info("Drone Created")
+        droneServer = getDroneServer()
+        logger.info('Drone Created')
     except:
-        logger.error("Drone Failed")
-
-    #"==================="
+        logger.error('Drone Failed')
+
+    # "==================="
     # receive epics command
+
     try:
         threadGetEpics = main(redisServer, droneServer)
         threadGetEpics.setDaemon(True)
         threadGetEpics.start()
-        logger.info("Mainthread created")
+        logger.info('Mainthread created')
         time.sleep(0.1)
     except:
-        logger.error("Mainthread Failed")
-
-    #"==================="
+        logger.error('Mainthread Failed')
+
+    # "==================="
     # refresh Glassfish
+
     try:
         threadSetWeb = setGlassfish(redisServer, 1)
         threadSetWeb.setDaemon(True)
         threadSetWeb.start()
-        logger.info("Glassfish started")
+        logger.info('Glassfish started')
         time.sleep(0.1)
     except:
-        logger.error("Glassfish Failed")
+        logger.error('Glassfish Failed')
+
     # "==================="
 
@@ -1489,5 +1561,7 @@
 
     try:
-        #epicsStatus.put('ERROR')
+
+        # epicsStatus.put('ERROR')
+
         logger.info('===================')
         logger.info('   Cockpit bye!    ')
Index: redis/redis-master.py
===================================================================
--- redis/redis-master.py	(revision 8a71e802e3e36061980cba24b876e46158fe3da6)
+++ redis/redis-master.py	(revision 2fd1c0a0864f2e7a78c00398672c3eaff10e2c6c)
@@ -1,7 +1,9 @@
 #!/usr/bin/python
+# -*- coding: utf-8 -*-
 
 import subprocess
 import os
 import sys
+
 
 # sudo fuser -k 9000/tcp
@@ -10,8 +12,11 @@
 
 def get_pid(name):
-    PID=[]
+    PID = []
     try:
-        #PID=map(int,subprocess.check_output(["pidof", name]).split())
-        PID=map(int,subprocess.check_output(["pgrep", "-f", name]).split())
+
+        # PID=map(int,subprocess.check_output(["pidof", name]).split())
+
+        PID = map(int, subprocess.check_output(['pgrep', '-f',
+                  name]).split())
     except:
         pass
@@ -19,7 +24,8 @@
     return PID
 
+
 def kill_PID(name):
     p = subprocess.Popen(['ps', '-A'], stdout=subprocess.PIPE)
-    out, err = p.communicate()
+    (out, err) = p.communicate()
 
     for line in out.splitlines():
@@ -27,41 +33,44 @@
             pid = int(line.split(None, 1)[0])
             print pid
-            subprocess.Popen(['kill',  '-9',  str(pid)], stdout=subprocess.PIPE, stderr=subprocess.PIPE)
-            #os.kill(pid, subprocess.signal.SIGKILL)
+            subprocess.Popen(['kill', '-9', str(pid)],
+                             stdout=subprocess.PIPE,
+                             stderr=subprocess.PIPE)
+
+
+            # os.kill(pid, subprocess.signal.SIGKILL)
 
 def kill_process(name):
-    p="pkill -9 "+name
+    p = 'pkill -9 ' + name
     process = subprocess.call(p, shell=True)
-    #process.communicate()
+
+
+    # process.communicate()
 
 def redis_stop():
-    name="redis-server"
+    name = 'redis-server'
     kill_process(name)
-    name="redis-sentinel"
+    name = 'redis-sentinel'
     kill_process(name)
-  
-    print "INFO: Redis stopped!" 
-    ''' 
-    r=[]
-    r.append('ps -ef | grep redis-server')
-    r.append('ps -ef | grep redis-sentinel')
-    for p in r:
-        process = subprocess.call(p, shell=True)
-    '''
+
+    print 'INFO: Redis stopped!'
+
 
 def redis_start():
-    r=[]
-    r.append('/opt/shared/library/redis-4.0.1/bin/redis-server /home/neon/workspace/redis/master/redis_9000.conf')
-    r.append('/opt/shared/library/redis-4.0.1/bin/redis-sentinel /home/neon/workspace/redis/master/sentinel_9001.conf')
+    r = []
+    r.append('/opt/shared/library/redis-4.0.1/bin/redis-server /home/neon/workspace/redis/master/redis_9000.conf'
+             )
+    r.append('/opt/shared/library/redis-4.0.1/bin/redis-sentinel /home/neon/workspace/redis/master/sentinel_9001.conf'
+             )
     for p in r:
         subprocess.call(p, shell=True)
 
-    r=[]
+    r = []
     r.append('/opt/shared/library/redis-4.0.1/bin/redis-server')
     r.append('/opt/shared/library/redis-4.0.1/bin/redis-sentinel')
     for p in r:
         print get_pid(p)
-    
-    print "INFO: Redis started!" 
+
+    print 'INFO: Redis started!'
+
 
 def redis_restart():
@@ -69,25 +78,14 @@
     redis_start()
 
+
 if __name__ == '__main__':
-    cmd=sys.argv[1]
-    if cmd=="start":
+    cmd = sys.argv[1]
+    if cmd == 'start':
         redis_start()
-    elif cmd=="stop":
+    elif cmd == 'stop':
         redis_stop()
-    elif cmd=="restart":
+    elif cmd == 'restart':
         redis_restart()
     else:
-        print "start/stop/restart?"
+        print 'start/stop/restart?'
 
-
-'''
-name="redis-server"
-print name, ":", get_pid(name)
-kill_PID(name)
-print name, ":", get_pid(name)
-
-name="redis-sentinel"
-print name, ":", get_pid(name)
-kill_PID(name)
-print name, ":", get_pid(name)
-'''
Index: redis/redis-multiple.py
===================================================================
--- redis/redis-multiple.py	(revision 8a71e802e3e36061980cba24b876e46158fe3da6)
+++ redis/redis-multiple.py	(revision 2fd1c0a0864f2e7a78c00398672c3eaff10e2c6c)
@@ -1,7 +1,9 @@
 #!/usr/bin/python
+# -*- coding: utf-8 -*-
 
 import subprocess
 import os
 import sys
+
 
 # sudo fuser -k 9000/tcp
@@ -10,8 +12,11 @@
 
 def get_pid(name):
-    PID=[]
+    PID = []
     try:
-        #PID=map(int,subprocess.check_output(["pidof", name]).split())
-        PID=map(int,subprocess.check_output(["pgrep", "-f", name]).split())
+
+        # PID=map(int,subprocess.check_output(["pidof", name]).split())
+
+        PID = map(int, subprocess.check_output(['pgrep', '-f',
+                  name]).split())
     except:
         pass
@@ -19,7 +24,8 @@
     return PID
 
+
 def kill_PID(name):
     p = subprocess.Popen(['ps', '-A'], stdout=subprocess.PIPE)
-    out, err = p.communicate()
+    (out, err) = p.communicate()
 
     for line in out.splitlines():
@@ -27,45 +33,52 @@
             pid = int(line.split(None, 1)[0])
             print pid
-            subprocess.Popen(['kill',  '-9',  str(pid)], stdout=subprocess.PIPE, stderr=subprocess.PIPE)
-            #os.kill(pid, subprocess.signal.SIGKILL)
+            subprocess.Popen(['kill', '-9', str(pid)],
+                             stdout=subprocess.PIPE,
+                             stderr=subprocess.PIPE)
+
+
+            # os.kill(pid, subprocess.signal.SIGKILL)
 
 def kill_process(name):
-    p="pkill -9 "+name
+    p = 'pkill -9 ' + name
     process = subprocess.call(p, shell=True)
-    #process.communicate()
+
+
+    # process.communicate()
 
 def redis_stop():
-    name="redis-server"
+    name = 'redis-server'
     kill_process(name)
-    name="redis-sentinel"
+    name = 'redis-sentinel'
     kill_process(name)
-  
-    print "INFO: Redis stopped!" 
-    ''' 
-    r=[]
-    r.append('ps -ef | grep redis-server')
-    r.append('ps -ef | grep redis-sentinel')
-    for p in r:
-        process = subprocess.call(p, shell=True)
-    '''
+
+    print 'INFO: Redis stopped!'
+
 
 def redis_start():
-    r=[]
-    r.append('/opt/shared/library/redis-4.0.1/bin/redis-server /home/neon/Workspace/redis/node0/redis_9000.conf')
-    r.append('/opt/shared/library/redis-4.0.1/bin/redis-server /home/neon/Workspace/redis/node1/redis_9010.conf')
-    r.append('/opt/shared/library/redis-4.0.1/bin/redis-server /home/neon/Workspace/redis/node2/redis_9020.conf')
-    r.append('/opt/shared/library/redis-4.0.1/bin/redis-sentinel /home/neon/Workspace/redis/node0/sentinel_9000.conf')
-    r.append('/opt/shared/library/redis-4.0.1/bin/redis-sentinel /home/neon/Workspace/redis/node1/sentinel_9010.conf')
-    r.append('/opt/shared/library/redis-4.0.1/bin/redis-sentinel /home/neon/Workspace/redis/node2/sentinel_9020.conf')
+    r = []
+    r.append('/opt/shared/library/redis-4.0.1/bin/redis-server /home/neon/Workspace/redis/node0/redis_9000.conf'
+             )
+    r.append('/opt/shared/library/redis-4.0.1/bin/redis-server /home/neon/Workspace/redis/node1/redis_9010.conf'
+             )
+    r.append('/opt/shared/library/redis-4.0.1/bin/redis-server /home/neon/Workspace/redis/node2/redis_9020.conf'
+             )
+    r.append('/opt/shared/library/redis-4.0.1/bin/redis-sentinel /home/neon/Workspace/redis/node0/sentinel_9000.conf'
+             )
+    r.append('/opt/shared/library/redis-4.0.1/bin/redis-sentinel /home/neon/Workspace/redis/node1/sentinel_9010.conf'
+             )
+    r.append('/opt/shared/library/redis-4.0.1/bin/redis-sentinel /home/neon/Workspace/redis/node2/sentinel_9020.conf'
+             )
     for p in r:
         subprocess.call(p, shell=True)
 
-    r=[]
+    r = []
     r.append('/opt/shared/library/redis-4.0.1/bin/redis-server')
     r.append('/opt/shared/library/redis-4.0.1/bin/redis-sentinel')
     for p in r:
         print get_pid(p)
-    
-    print "INFO: Redis started!" 
+
+    print 'INFO: Redis started!'
+
 
 def redis_restart():
@@ -73,25 +86,14 @@
     redis_start()
 
+
 if __name__ == '__main__':
-    cmd=sys.argv[1]
-    if cmd=="start":
+    cmd = sys.argv[1]
+    if cmd == 'start':
         redis_start()
-    elif cmd=="stop":
+    elif cmd == 'stop':
         redis_stop()
-    elif cmd=="restart":
+    elif cmd == 'restart':
         redis_restart()
     else:
-        print "start/stop/restart?"
+        print 'start/stop/restart?'
 
-
-'''
-name="redis-server"
-print name, ":", get_pid(name)
-kill_PID(name)
-print name, ":", get_pid(name)
-
-name="redis-sentinel"
-print name, ":", get_pid(name)
-kill_PID(name)
-print name, ":", get_pid(name)
-'''
